
QGIS Application - Feature request #52

Change order of PostGIS Layer in Layer select box

2006-04-04 07:17 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: GUI

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10111

Description

In qgis/src/gui/qgsdbsourceselect.cpp change line 520 from

sql += " order by f_table_name";

to

  sql += " order by f_table_schema,f_table_name";

As the result prior the schemanames will be ordered and than the tablenames.

It is much more easier to find a layer.

History

#1 - 2006-04-05 10:59 PM - Gary Sherman

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:768c876c (SVN r5185)

#2 - 2009-03-26 02:55 PM - Mike Taves

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

My projects use multiple geometry columns for each table, and I've noticed the geometry column having different sortings.

So naturally, please update qgis/src/app/qgsdbsourceselect.cpp:

558c558

<                 "order by f_table_schema,f_table_name";

---

>                 "order by f_table_schema,f_table_name,f_geometry_column";

#3 - 2009-04-28 01:05 PM - Paolo Cavallini

Can the patch be applied?

#4 - 2009-04-28 01:21 PM - Jürgen Fischer
- Status changed from Feedback to Closed

- Resolution set to fixed

applied in commit:5329e674 (SVN r10673)
